﻿
var ANum= 0; var CNum= 0; var FNum= 0;

var dataMapOptions;

var Incidenttodo = Incidenttodo || {},
    dataIncident = JSON.parse(localStorage.getItem("Incident"));

var app = {
    initialize: function() {
        StartUpFunctions();
    }    
};

function StartUpFunctions() {        
    var dataMajor = JSON.parse(localStorage.getItem("MajorText"));
    var dataLocation = JSON.parse(localStorage.getItem("ExactText"));
    var dataTypeIncident = JSON.parse(localStorage.getItem("TypeOfIncidentText"));
    var dataTypeHazard = JSON.parse(localStorage.getItem("TypeOfHazardText"));
    var dataAccessText = JSON.parse(localStorage.getItem("AccessText"));
    var dataNumSev = JSON.parse(localStorage.getItem("NumSeveText"));
    var dataEmerServ = JSON.parse(localStorage.getItem("EmergencyServices"));

    if(dataMajor) {
        var Contentwrapper = addPageContent(dataMajor);
        var ContentText = GetText(dataMajor);
        document.getElementById('M-BG').className = 'greenBG';
        document.getElementById('M-Text').innerHTML = Contentwrapper;
        
    }

    if (dataLocation) {
        Contentwrapper = addPageContentAccess(dataLocation);
        ContentText = GetText(dataLocation);
        document.getElementById('E-BG').className = 'greenBG';
        document.getElementById('E-Text').innerHTML = Contentwrapper.substring(0, 120);
    }

    if(dataTypeIncident) {
        Contentwrapper = addPageContent(dataTypeIncident);
        ContentText = GetText(dataTypeIncident);
        document.getElementById('T-BG').className = 'greenBG';
        document.getElementById('T-Text').innerHTML = Contentwrapper;        
    }

    if(dataTypeHazard) {
        Contentwrapper = addPageContent(dataTypeHazard);
        ContentText = GetText(dataTypeHazard);
        document.getElementById('H-BG').className = 'greenBG';
        document.getElementById('H-Text').innerHTML = Contentwrapper;        
    }

    if (dataAccessText) {
        Contentwrapper = addPageContentAccess(dataAccessText);
        ContentText = GetText(dataAccessText);        
        document.getElementById('A-BG').className = 'greenBG';
        document.getElementById('A-Text').innerHTML = Contentwrapper.substring(0,120);
    }

    if(dataNumSev) {
        Contentwrapper = addPageContent(dataNumSev);
        ContentText = GetNumText(dataNumSev);
        document.getElementById('N-BG').className = 'greenBG';
        document.getElementById('N-Text').innerHTML = Contentwrapper;        
    }

    if(dataEmerServ) {
        var contentText;

        if(dataEmerServ.length > 0) {
            var i = 0;
            $.each(dataEmerServ, function( i , v) {
                var n = isEven(i);
                var textName = v.id.replace('-', ' ');
                textName = textName.replace(/[0-9]/g, '');
                var textService = v.service;

                if(n === false) {
                    contentText+= textName+' '+ textService +': '+ v.value+'\r\n';
                    contentText+='<div style="min-height: 10px;">&nbsp;</div>';
                } else {
                    contentText += textName + ' ' + textService + ': ' + v.value + '\r\n<br/>';
                }                
                i++;
            });

            contentText = contentText.replace('undefined' , '')+'\r\n';
            contentText = ucwords(contentText);

            document.getElementById('ES-BG').className = 'greenBG';
            document.getElementById('EM-Text').innerHTML = contentText;
        }
    }
}
function stringDivider(str, width, prefix, postfix) {
    if (str.length>width) {
        var p=width
        for (;p>0 && !/\s/.test(str[p]); p--) {
        }
        if (p>0) {
            var left = str.substring(0, p);
            var right = str.substring(p+1);
            return prefix + left + postfix + stringDivider(right, width, prefix, postfix);
        }
    }
    return prefix+str+postfix;
}
function isEven(value) {
    if (value%2 === 0)
        return true;
    else
        return false;
}

function ucwords(string) {
    return string.charAt(0).toUpperCase() + string.slice(1);
}

function addPageContent(DataObject) {
    var ContentWrapper = '';
    jQuery.each(DataObject , function(i,v) {

        if(v.addedDate) {
            ContentWrapper = '<div id="'+ v.id+'">' +v.Text + ' ' + v.addedDate +' </div>';
            ContentWrapper = ContentWrapper.replace('undefined' , '');
        } else {
            if(v.Text) {
                v.Text = ucwords(v.Text);
                ContentWrapper +='<div id="'+ v.id+'">' +v.Text + '</div>';
            }
            if(v.title) {
                v.title = ucwords(v.title);
                ContentWrapper +='<div id="'+ v.id+'">' +v.title + '</div>';
            }
            ContentWrapper = ContentWrapper.replace('undefined' , '');
        }
    });

    ContentWrapper = ContentWrapper.replace('undefined' , '');
    return ContentWrapper;
}
function addPageContentAccess(DataObject) {
    var ContentWrapper = '';
    jQuery.each(DataObject, function (i, v) {
        if (v.Text) {
            ContentWrapper = ucwords(v.Text);
        }
    });

    ContentWrapper = ContentWrapper.replace('undefined', '');
    return '<p>'+ContentWrapper+'</p>';
}

function GetText(DataObject) {
    var ContentText = '';
    jQuery.each(DataObject , function(i,v) {
        if(v.addedDate) {
            ContentText = [v.Text , v.addedDate];
        } else {
            if(v.Text) {
                ContentText = v.Text;
            }
            if(v.title) {
                ContentText = v.title;
            }
            ContentText = ContentText.replace('undefined' , '');
        }
    });
    return ContentText;
}

function GetNumText(DataObject) {
    var ContentText = '';
    jQuery.each(DataObject , function(i,v) {
        ContentText = [v.TextBox , v.Adults, v.Children, v.Fatalities];
    });

    return ContentText;
}
