﻿//assuming this comes from an ajax call
var info = [{
    "id": 0,
    "title": 'A',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 1,
    "title": 'Access Control Point (ACP)',
    "description": 'Controlled point through which essential personnel may gain access through the <b>outer cordon</b>',
    "image": 'ACP.png'
}, {
    "id": 2,
    "title": 'Asset symbol',
    "description": 'The generic symbol for an asset site. Assets are likely to be either a deployable asset such as High Volume Pumping (HVP)' +
                   'equipment, or a location that has been designated with a specific role such as a Rendezvous Point (RVP) or a Helicopter Landing Site (HLS)',
    "image": 'Asset-symbol.png'
}, {
    "id": 3,
    "title": 'B',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 4,
    "title": 'Boundary location level of perision symbols',
    "description": 'The use of solid, dashed and dotted boundaries provide a simple way to differentiate between known, unclear and presumed boundaries respectively',
    "image": 'Boundary-location-level-of-precision-symbols.png'
}, {
    "id": 5,
    "title": 'C',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 6,
    "title": 'Casualty Bureau (CasB)',
    "description": 'Initial point of contact and information, maintained by the police, for all data relating to casualties',
    "image": 'CasB.png'
}, {
    "id": 7,
    "title": 'Casualty Clearing Station',
    "description": 'Entity set up at the scene of an emergency by the ambulance service in liaison with the Medical Incident Commander to assess, triage and treat ' +
                   'casualties and direct their evacuation ',
    "image": 'CasCS.png'
}, {
    "id": 8,
    "title": 'Chemical, Biology, Radiology and/ or Nuclear (CBRN)',
    "description": 'A term used to describe Chemical, Biology, Radiology or Nuclear materials. CBRN is often associated with terrorism - see CBRNE. ',
    "image": 'CBRN.png'
}, {
    "id": 9,
    "title": 'Command and Control, generic symbol for single service C2 and co-located C2 sites',
    "description": 'The text inside the main flag indicates the level or type of C2 site, the banner beneath the flag is used to indicate whether it relates to any ' +
                   'or all of Police (P), Fire and Rescue (F) and Ambulance (A) services, and the free text to the right of flag can record further attributes such ' +
                   'as acronyms or abbreviations of additional agencies (e.g. LA for Local Authority) at that site or the specific responsibility held at that C2 ' +
                   'site (e.g. Police - Traffic)',
    "image": 'C2.png'
}, {
    "id": 10,
    "title": 'Command, Control, Coordination or Communications (c4) Sites symbol (C4)',
    "description": 'The generic symbol for a C4 site. This is then rendered specific with the use of text, both within the flag and surrounding it',
    "image": 'C4.png'
}, {
    "id": 11,
    "title": 'Control of major accident hazards regulations 2015, Northern Ireland 2015 (COMAH)',
    "description": 'Regulations applying to the chemical industry and some storage sites where thershold quantities of dangerous substances, as identified in the Regulations, are kept or used.',
    "image": 'COMAH.png'
}, {
    "id": 12,
    "title": 'D',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 13,
    "title": 'Designated Receiving Hospital (DRH) ',
    "description": 'Hospital designated by a Strategic Health Authority as suitable for receiving injured persons from an emergency',
    "image": 'DRH.png'
}, {
    "id": 14,
    "title": 'E',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 15,
    "title": 'Emergency Control Centre (ECC)',
    "description": 'Generic term for a centre for controlling and co-ordinating the response of an organisation to an incident or an emergency ',
    "image": 'ECC.png'
}, {
    "id": 16,
    "title": 'Emergency Media Centre (EMC)',
    "description": 'Premises designated for use by the media in the event of an emergency ',
    "image": 'EMC.png'
}, {
    "id": 17,
    "title": 'Emergency Mortuary (EMort)',
    "description": 'Temporary structure or converted existing structure designated for use for the time being as a mortuary',
    "image": 'EMort.png'
}, {
    "id": 18,
    "title": 'Evacuation Assembly Point (EvAP)',
    "description": 'Building or area on the periphery of an area affected by an emergency, to which evacuees are directed to await transfer to a survivor ' +
                    'reception centre or rest centre',
    "image": 'EvAP.png'
}, {
    "id": 19,
    "title": 'Evacuation Shelter (EvS)',
    "description": 'Building in an area out of danger providing basic accommodation for up to 48 hours after an emergency',
    "image": 'EvS.png'
}, {
    "id": 20,
    "title": 'Exclusion Zone (ExclZ)',
    "description": 'Area, usually within the inner cordon, to which access is normally denied to all personnel, including emergency services. See also cordon',
    "image": 'ExclZ.png'
}, {
    "id": 21,
    "title": 'F',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 22,
    "title": 'Forward Briefing Point (FBP)',
    "description": 'Site with good views over the area affected by an incident, at which media briefings are conducted',
    "image": 'FBP.png'
}, {
    "id": 23,
    "title": 'Forward Command Post (FCP)',
    "description": 'A location near the scene, where the operational response to the scene of an emergency is managed. (Initials indicate which agencies present at FCP – examples below)',
    "image": 'FCP.png'
}, {
    "id": 24,
    "title": 'Friends and Relatives Reception Centre (FRRC)',
    "description": 'Assistance centre established at an airport for the family and friends of people who may have been involved in an aircraft incident',
    "image": 'FRRC.png'
}, {
    "id": 25,
    "title": 'H',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 26,
    "title": 'Hazard',
    "description": 'Accidently or naturally occurring (i.e., non-malicious) event or situation with the potential to cause death or physical or psychological ' +
                    'harm, damage or losses to property, and/or disruption to the environment and/or to economic, social and political structures',
    "image": 'Hazard.png'
}, {
    "id": 27,
    "title": 'Health Emergency Operating Centre (HEOC)',
    "description": 'Permanent NHS ambulance and non-emergency calls and controlling and co-ordinating resources.',
    "image": 'HEOC.png'
}, {
    "id": 28,
    "title": 'High Integrity Telecommunications Systems (HITS)',
    "description": 'A hybrid satellite /terrestrial-based communications system that is designed to provide a resilient communications backbone between crisis ' +
                    'management centres across the UK.',
    "image": 'HITS.png'
}, {
    "id": 29,
    "title": 'Holding and Audit Area for Deceased People and Human Remains (HAADR)',
    "description": 'Area close to the scene where the deceased can be temporarily held until transfer to the emergency mortuary.',
    "image": 'HAADR.png'
}, {
    "id": 30,
    "title": 'Humanitarian Assistance Centre (HAC)',
    "description": 'Assistance centre established during the first 72 hours of an emergency to cater for the medium and longer term needs of people affected by an emergency',
    "image": 'HAC.png'
}, {
    "id": 31,
    "title": 'I',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 32,
    "title": 'Incident Hazard symbol',
    "description": 'The generic symbol for an incident and a hazard.',
    "image": 'Incident-hazard-symbol.png'
}, {
    "id": 33,
    "title": 'Infrastructure symbol',
    "description": 'The generic symbol for an infrastructure site, including buildings, points and elements of networks that have a primary use that is relevant to ' +
                    ' the emergency, and are geographically fixed (i.e. they do not include highly mobile or deployable units such as vehicles, boats and aircraft)',
    "image": 'Infrastructure-symbol.png'
}, {
    "id": 34,
    "title": 'Inner cordon',
    "description": 'Cordon esatblished to secure the immediate scene and provide a measure of protection for the personnel working within the area.',
    "image": 'Inner cordon.png'
}, {
    "id": 35,
    "title": 'M',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 36,
    "title": 'Major Accident Hazard Pipeline(s) (MAH pipelines; MAHP(s))',
    "description": 'Supply systems for dangerous fluids as defined in schedule 2 of Pipeline Safety Regulations, which include high pressure natural gas, other ' +
                    'gases, oils and chemicals',
    "image": 'MAH-pipelines.png'
}, {
    "id": 37,
    "title": 'Maritime Rescue Co-ordination Centre (MRCC)',
    "description": 'Her Majesty\'s Coastguards regional centre overseeing and co-ordinating the search and rescue operations within a region',
    "image": 'MRCC.png'
}, {
    "id": 38,
    "title": 'Marshalling area',
    "description": 'Generic term for an area to which resources and personnel not immediately required at the scene or being held for further ' +
                    'use can be directed to stand by',
    "image": 'Marshalling-area.png'
}, {
    "id": 39,
    "title": 'Media Liaison Point (MLP)',
    "description": 'Area adjacent to the scene, staffed by media Liaison Officers, fot the reception and accreditation of media personnel and for' +
                    ' briefing on reporting, filming and photographing',
    "image": 'MLP.png'
}, {
    "id": 40,
    "title": 'Medical Emergency Response Incident Team (MERIT)',
    "description": 'Team of appropriately trained and equipped medical and/or nursing staff provided by a local acute trust or foundation trust ' +
                    'hospital to attend the scene of an emergency',
    "image": 'MERIT.png'
}, {
    "id": 41,
    "title": 'Multi-Agency Strategic Holding Area (MASHA)',
    "description": 'A pre-identified space which is large enough to accommodate and coordinate the command and logistical support structures of all ' +
                    'emergency services and agencies required for a national response to an emergency',
    "image": 'MASHA.png'
}, {
    "id": 42,
    "title": 'N',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 43,
    "title": 'National Emergency Mortuary Arrangements (NEMA)',
    "description": 'Private sector capacity (under contract to the Home Office) that can be deployed anywhere within the UK to establish an emergency mortuary ' +
                    'with the capacity to deal with large numbers of fatalities',
    "image": 'NEMA.png'
}, {
    "id": 44,
    "title": 'O',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 45,
    "title": 'Outer Cordon',
    "description": 'Cordon established around the vicinty of an incident, and encompassing the inner cordon, to control access to a wider area around the scene, ' +
                    'to allow the emergency services and other agencies to work unhindered and in privacy',
    "image": 'Outer-cordon.png'
}, {
    "id": 46,
    "title": 'P',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 47,
    "title": 'Point of Access Symbols',
    "description": 'Controlled point through which essential personnel may gain access through the <b>outer cordon</b>.',
    "image": 'ACP.png'
}, {
    "id": 48,
    "title": 'Point of Egress Symbol',
    "description": 'Generic point of egress out of a cordoned area.',
    "image": 'egress-symbol.png'
}, {
    "id": 49,
    "title": 'Public Information Point (PIP)',
    "description": 'Location providing access to information for members of the public during an emergency',
    "image": 'PIP.png'
}, {
    "id": 50,
    "title": 'R',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 51,
    "title": 'Radio Amateurs\' Emergency Network (Raynet)',
    "description": 'Nationwide voluntary group which can provide radio communications during an emergency',
    "image": 'Raynet.png'
}, {
    "id": 52,
    "title": 'Readiness status symbols',
    "description": 'A Red - Amber - Green (RAG) status can be used to indicate the degree to which a feature is functionally operational. This can be applied ' +
                    'to either assets or infrastructure, as illustrated for a Water Treatment Works (WTW)',
    "image": 'Readiness-status-symbols.png'
}, {
    "id": 53,
    "title": 'Recovery Co-ordinating Group (RCG)',
    "description": 'Strategic decision making body for the recovery phase once handover has taken place from the police',
    "image": 'RCG.png'
}, {
    "id": 54,
    "title": 'Rendezvous Point (RvP)',
    "description": 'Point to which all resources arriving at the outer cordon are directed for logging, briefing, equipment issue and deployment',
    "image": 'RvP.png'
}, {
    "id": 55,
    "title": 'Response Co-ordinating Group (ResCG)',
    "description": 'A Multi-SCG Co-ordinating Group which may be convened where the local response has been, or may be, overwhelmed and wider support ' +
                    'is required, or where an emergency affects a number of neighbouring Strategic Co-ordinating Groups and would benefit from co-ordinating ' +
                    '(e.g. to obtain a consistent, structured approach) or enhanced support',
    "image": 'ResCG.png'
}, {
    "id": 56,
    "title": 'Rest Centre (RC)',
    "description": 'Building, which could include overnight facilities, designated by the local authority for the temporary accommodation of evacuees',
    "image": 'RC.png'
}, {
    "id": 57,
    "title": 'S',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 58,
    "title": 'Salvage Control Unit (SCU)',
    "description": 'Body established by the Secretary of State\'s Representative in marine salvage incidents in order to provide support for any action related ' +
                    'to vessel(s) that is necessary to save life and protect the environment',
    "image": 'SCU.png'
}, {
    "id": 59,
    "title": 'Scene Access Control Point (SACP)',
    "description": 'Controlled point through which essential personnel may gain access through the <b>inner cordon</b>',
    "image": 'SACP.png'
}, {
    "id": 60,
    "title": 'Search and Rescue (SAR)',
    "description": 'Use of specialised personnel and equipment to locate persons in distress or in danger and remove them from a place of actual or potential ' +
                    'danger to a place of relative safety',
    "image": 'SAR.png'
}, {
    "id": 61,
    "title": 'Shoreline Response Centre (SRC)',
    "description": 'A single co-ordination centre established by the local authority most affected by a marine pollution incident and supported by the ' +
                    'Martime and Coastguard Agency',
    "image": 'SRC.png'
}, {
    "id": 62,
    "title": 'Strategic Co-ordinating Group (SCG)',
    "description": 'The purpose of a Strategic Co-Ordinating Group (SCG) is to take overall responsibility for the multi-agency management of an incident and establish a strategic framework within which lower levels of command and co-ordinating groups will work.',
    "image": 'SCG.png'
}, {
    "id": 63,
    "title": 'Strategic Co-ordinating Centre (SCC)',
    "description": 'The location at which the Strategic Co-ordinating Group meets',
    "image": 'SCC.png'
}, {
    "id": 64,
    "title": 'Strategic Holding Area (SHA)',
    "description": 'A pre-defined location providing sufficient space and facilities for the reception and co-ordination of mutual aid and other supporting ' +
                    'resources at major incidents',
    "image": 'SHA.png'
}, {
    "id": 65,
    "title": 'Survivor Reception Centre',
    "description": 'Assistance centre in which survivors not requiring acute hospital treatment can be taken for short-term shelter and fist aid',
    "image": 'SuRC.png'
}, {
    "id": 66,
    "title": 'T',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 67,
    "title": 'Tactical Coordinating Group (TCG)',
    "description": 'A multi-agency group of tactical commanders that meets to determine, co-ordinating and deliver the tactical response to an emergency',
    "image": 'TCG.png'
}, {
    "id": 68,
    "title": 'U',
    "description": '',
    "image": '',
    "background": '#CCCCCC'
}, {
    "id": 69,
    "title": 'Urban Search and Rescue (USaR)',
    "description": 'Search and rescue activity conducted by the fire and rescue service in contrast to SAR or ASAR',
    "image": 'USaR.png'
}];

$(document).on("pageinit", "#info-page", function () {    
    $('.listViewContainer').css('height', '500');

    var li = "";
    $.each(info, function (i, title) {
        var _background = '';
        if (title.background) {
            _background = 'style="background-color:' + title.background + '!important;" class="sticky"';
            li += '<li ' + _background + ' id="' + i + '" class="info-go"><b style="font-size: 16px;">' + title.title + '</b></li>';
        } else {
            _background = 'style="background-color: #FFFFFF !important;"';
            li += '<li><a ' + _background + ' href="#" id="' + i + '" class="info-go">' + title.title + '</a></li>';
        }
    });

    $("#prof-list").append(li).promise().done(function () {
        $(this).on("click", ".info-go", function (e) {
            e.preventDefault();
            $("#details-page").data("info", info[this.id]);
            $.mobile.changePage("#details-page");
        });
        $(this).listview("refresh");
    });
});

$(document).on("pagebeforeshow", "#details-page", function () {
    var info = $(this).data("info");
    var info_view = "";
    info_view = '<h4><strong class="blueText">' + info.title + '</strong></h4>' +
                '<p>' + info.description + '</p>';

    if (info.image != '') {
        info_view += '<div><img class="glossary-image" src="img/glossary/' + info.image + '" border="0" style="max-width: 500px;" alt="' + info.title + '"/></div>'
    }

    $(this).find("[data-role=content]").html(info_view);
});
